Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class AbstractBasicMaze.IntegerDelayedPropertyInformation

    java.lang.Object
      de.caff.maze.AbstractPropertyInformation
          de.caff.maze.AbstractBasicMaze.IntegerDelayedPropertyInformation

All Implemented Interfaces:
  PropertyInformation

Enclosing class:
  AbstractBasicMaze

    protected abstract static class AbstractBasicMaze.IntegerDelayedPropertyInformation

extends AbstractPropertyInformation

A delayed setter for integer values.

Field Summary

Fields inherited from interface de.caff.maze.PropertyInformation
`SHORT_DESCRIPTION_SUFFIX`

Constructor Summary
`protected` | `AbstractBasicMaze.IntegerDelayedPropertyInformation(java.lang.String name, int minimum, int maximum, int step)` Create a setter with the given name and values.

Method Summary
`void` | `forget()` Reset the value displayed in the setter component to the value used in the maze.
`protected abstract int` | `getMazeValue()` Get the property value used in the maze.
`java.lang.Object` | `getPropertyValue()` Get the current value of property.
`javax.swing.JComponent` | `getSetterComponent()` Get a component used for setting the property.
`int` | `getValue()` Get the current value of the setter component.

Methods inherited from class de.caff.maze.AbstractPropertyInformation
`getLocalizedDescription, getLocalizedShortDescription, getName, isInformational`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBasicMaze.IntegerDelayedPropertyInformation

    protected AbstractBasicMaze.IntegerDelayedPropertyInformation(java.lang.String name,
                                                                  int minimum,
                                                                  int maximum,
                                                                  int step)

  Create a setter with the given name and values.

  Parameters:
    `name` - human readable property name
    `minimum` - minimum value for the property
    `maximum` - maximum value for the property
    `step` - step of spinner

Method Detail

### forget

    public void forget()

  Reset the value displayed in the setter component to the value used in the maze.

  Specified by:
    `forget` in interface `PropertyInformation`
  Overrides:
    `forget` in class `AbstractPropertyInformation`

### getSetterComponent

    public javax.swing.JComponent getSetterComponent()

  Get a component used for setting the property.

  Specified by:
    `getSetterComponent` in interface `PropertyInformation`
  Specified by:
    `getSetterComponent` in class `AbstractPropertyInformation`
  Returns:
    setter component

### getValue

    public int getValue()

  Get the current value of the setter component.

  Returns:
    setter component value

### getPropertyValue

    public java.lang.Object getPropertyValue()

  Description copied from interface: `PropertyInformation`
  Get the current value of property.

  Returns:
    property value

### getMazeValue

    protected abstract int getMazeValue()

  Get the property value used in the maze.

  Returns:
    maze value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD